## check 0.8.1

=== src/Makefile ===
# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/check
pkglibdir = $(libdir)/check
pkgincludedir = $(includedir)/check

top_builddir = ..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
AWK = mawk
CC = gcc
LN_S = ln -s
MAKEINFO = makeinfo
PACKAGE = check
RANLIB = ranlib
VERSION = 0.8.1
have_sgmltools = 

lib_LIBRARIES = libcheck.a

include_HEADERS = check.h

libcheck_a_SOURCES =  	check.h check_impl.h check_magic.h check.c check_run.c 	check_pack.h check_pack.c 	check_msg.h check_msg.c 	check_log.h check_log.c 	check_str.h check_str.c 	check_print.h check_print.c 	check_error.h check_error.c 	list.h list.c


CLEANFILES = *.*~
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
LIBRARIES =  $(lib_LIBRARIES)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I..
CPPFLAGS = 
LDFLAGS = 
LIBS = 
libcheck_a_LIBADD = 
libcheck_a_OBJECTS =  check.o check_run.o check_pack.o check_msg.o \
check_log.o check_str.o check_print.o check_error.o list.o
AR = ar
CFLAGS = -g -O2 -Wall -Wstrict-prototypes -Wmissing-prototypes
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
HEADERS =  $(include_HEADERS)




DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(libcheck_a_SOURCES)
OBJECTS = $(libcheck_a_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .o .s

mostlyclean-libLIBRARIES:

clean-libLIBRARIES:
	-test -z "$(lib_LIBRARIES)" || rm -f $(lib_LIBRARIES)

distclean-libLIBRARIES:

maintainer-clean-libLIBRARIES:

install-libLIBRARIES: $(lib_LIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(libdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(libdir)/$$p; \
	  else :; fi; \
	done
	@$(POST_INSTALL)
	@list='$(lib_LIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(RANLIB) $(DESTDIR)$(libdir)/$$p"; \
	    $(RANLIB) $(DESTDIR)$(libdir)/$$p; \
	  else :; fi; \
	done

uninstall-libLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(lib_LIBRARIES)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(libdir)/$$p; \
	done

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

libcheck.a: $(libcheck_a_OBJECTS) $(libcheck_a_DEPENDENCIES)
	-rm -f libcheck.a
	$(AR) cru libcheck.a $(libcheck_a_OBJECTS) $(libcheck_a_LIBADD)
	$(RANLIB) libcheck.a

install-includeHEADERS: $(include_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(includedir)
	@list='$(include_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d= ; else d="$(srcdir)/"; fi; \
	  echo " $(INSTALL_DATA) $$d$$p $(DESTDIR)$(includedir)/$$p"; \
	  $(INSTALL_DATA) $$d$$p $(DESTDIR)$(includedir)/$$p; \
	done

uninstall-includeHEADERS:
	@$(NORMAL_UNINSTALL)
	list='$(include_HEADERS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(includedir)/$$p; \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = src

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-libLIBRARIES
install-exec: install-exec-am

install-data-am: install-includeHEADERS
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-libLIBRARIES uninstall-includeHEADERS
uninstall: uninstall-am
all-am: Makefile $(LIBRARIES) $(HEADERS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(libdir) $(DESTDIR)$(includedir)


mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-libLIBRARIES mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-libLIBRARIES clean-compile clean-tags clean-generic \
		mostlyclean-am

clean: clean-am

distclean-am:  distclean-libLIBRARIES distclean-compile distclean-tags \
		distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-libLIBRARIES \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-libLIBRARIES distclean-libLIBRARIES \
clean-libLIBRARIES maintainer-clean-libLIBRARIES uninstall-libLIBRARIES \
install-libLIBRARIES mostlyclean-compile distclean-compile \
clean-compile maintainer-clean-compile uninstall-includeHEADERS \
install-includeHEADERS tags mostlyclean-tags distclean-tags clean-tags \
maintainer-clean-tags distdir info-am info dvi-am dvi check check-am \
installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== tests/Makefile ===
# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/check
pkglibdir = $(libdir)/check
pkgincludedir = $(includedir)/check

top_builddir = ..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
AWK = mawk
CC = gcc
LN_S = ln -s
MAKEINFO = makeinfo
PACKAGE = check
RANLIB = ranlib
VERSION = 0.8.1
have_sgmltools = 

TESTS =  	check_check 	test_output.sh 	test_log_output.sh


noinst_PROGRAMS =  	check_check 	check_stress 	ex_output 	ex_log_output


EXTRA_DIST = test_output.sh test_log_output.sh

check_check_SOURCES =  	check_check.h 	check_list.c 	check_check_sub.c 	check_check_master.c 	check_check_msg.c 	check_check_log.c 	check_check_limit.c 	check_check_fork.c 	check_check_fixture.c 	check_check_pack.c 	check_check_main.c


check_stress_SOURCES =  	check_stress.c


ex_output_SOURCES =  	ex_output.c


ex_log_output_SOURCES =  	ex_log_output.c


INCLUDES = -I$(srcdir)/../src
LDADD = ../src/libcheck.a

CLEANFILES = *.*~ *.log test_logfile
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(noinst_PROGRAMS)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I..
CPPFLAGS = 
LDFLAGS = 
LIBS = 
check_check_OBJECTS =  check_list.o check_check_sub.o \
check_check_master.o check_check_msg.o check_check_log.o \
check_check_limit.o check_check_fork.o check_check_fixture.o \
check_check_pack.o check_check_main.o
check_check_LDADD = $(LDADD)
check_check_DEPENDENCIES =  ../src/libcheck.a
check_check_LDFLAGS = 
check_stress_OBJECTS =  check_stress.o
check_stress_LDADD = $(LDADD)
check_stress_DEPENDENCIES =  ../src/libcheck.a
check_stress_LDFLAGS = 
ex_output_OBJECTS =  ex_output.o
ex_output_LDADD = $(LDADD)
ex_output_DEPENDENCIES =  ../src/libcheck.a
ex_output_LDFLAGS = 
ex_log_output_OBJECTS =  ex_log_output.o
ex_log_output_LDADD = $(LDADD)
ex_log_output_DEPENDENCIES =  ../src/libcheck.a
ex_log_output_LDFLAGS = 
CFLAGS = -g -O2 -Wall -Wstrict-prototypes -Wmissing-prototypes
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(check_check_SOURCES) $(check_stress_SOURCES) $(ex_output_SOURCES) $(ex_log_output_SOURCES)
OBJECTS = $(check_check_OBJECTS) $(check_stress_OBJECTS) $(ex_output_OBJECTS) $(ex_log_output_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .o .s


mostlyclean-noinstPROGRAMS:

clean-noinstPROGRAMS:
	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)

distclean-noinstPROGRAMS:

maintainer-clean-noinstPROGRAMS:

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

check_check: $(check_check_OBJECTS) $(check_check_DEPENDENCIES)
	@rm -f check_check
	$(LINK) $(check_check_LDFLAGS) $(check_check_OBJECTS) $(check_check_LDADD) $(LIBS)

check_stress: $(check_stress_OBJECTS) $(check_stress_DEPENDENCIES)
	@rm -f check_stress
	$(LINK) $(check_stress_LDFLAGS) $(check_stress_OBJECTS) $(check_stress_LDADD) $(LIBS)

ex_output: $(ex_output_OBJECTS) $(ex_output_DEPENDENCIES)
	@rm -f ex_output
	$(LINK) $(ex_output_LDFLAGS) $(ex_output_OBJECTS) $(ex_output_LDADD) $(LIBS)

ex_log_output: $(ex_log_output_OBJECTS) $(ex_log_output_DEPENDENCIES)
	@rm -f ex_log_output
	$(LINK) $(ex_log_output_LDFLAGS) $(ex_log_output_OBJECTS) $(ex_log_output_LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = tests

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

check-TESTS: $(TESTS)
	@failed=0; all=0; \
	srcdir=$(srcdir); export srcdir; \
	for tst in $(TESTS); do \
	  if test -f $$tst; then dir=.; \
	  else dir="$(srcdir)"; fi; \
	  if $(TESTS_ENVIRONMENT) $$dir/$$tst; then \
	    all=`expr $$all + 1`; \
	    echo "PASS: $$tst"; \
	  elif test $$? -ne 77; then \
	    all=`expr $$all + 1`; \
	    failed=`expr $$failed + 1`; \
	    echo "FAIL: $$tst"; \
	  fi; \
	done; \
	if test "$$failed" -eq 0; then \
	  banner="All $$all tests passed"; \
	else \
	  banner="$$failed of $$all tests failed"; \
	fi; \
	dashes=`echo "$$banner" | sed s/./=/g`; \
	echo "$$dashes"; \
	echo "$$banner"; \
	echo "$$dashes"; \
	test "$$failed" -eq 0
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-noinstPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-noinstPROGRAMS clean-compile clean-tags clean-generic \
		mostlyclean-am

clean: clean-am

distclean-am:  distclean-noinstPROGRAMS distclean-compile distclean-tags \
		distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-noinstPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-noinstPROGRAMS distclean-noinstPROGRAMS \
clean-noinstPROGRAMS maintainer-clean-noinstPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir check-TESTS info-am info \
dvi-am dvi check check-am installcheck-am installcheck install-exec-am \
install-exec install-data-am install-data install-am install \
uninstall-am uninstall all-redirect all-am all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## check 0.9.10

=== debian/changelog ===
check (0.9.10-6ubuntu3) trusty; urgency=medium

  * Add missing build-depend on pkg-config so that we can run autoreconf.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Apr 2014 16:00:08 +0100

check (0.9.10-6ubuntu2) trusty; urgency=medium

  * Build using dh-autoreconf.
  * Build the two variants in two directories.
  * Build using dpkg-buildflags.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Apr 2014 08:20:20 +0200

check (0.9.10-6ubuntu1) trusty; urgency=low

  * Merge from debian. Remaining changes:
    - Update config.{guess,sub} for Aarch64.

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 07 Dec 2013 10:57:13 +1100

check (0.9.10-6) unstable; urgency=low

  * add -pthread to both --libs and --cflags of check.pc (sigh)

 -- Robert Lemmen <robertle@semistable.com>  Mon, 25 Nov 2013 20:10:47 +0000

check (0.9.10-5) unstable; urgency=low

  * debian/patches/03texi.patch: Update patch and remove version and date
    information from check.info to handle Multi-Arch:Same (closes: #718200).
  * debian/rules:
    - Remove doc/check.info before build so it gets regenerated.
    - Remove first line from doc/check.info to handle Multi-Arch:Same.
  * debian/control: Add Build-Depends texinfo to build check.info.

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Sat, 17 Aug 2013 20:15:46 +0200

check (0.9.10-4ubuntu1) saucy; urgency=low

  * Update config.{guess,sub} for Aarch64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Aug 2013 13:57:23 +0200

check (0.9.10-4) unstable; urgency=low

  * debian/patches: Add 04setitimer_hurd.patch to fix build on hurd (closes:
    #715166).

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Wed, 10 Jul 2013 09:46:55 +0200

check (0.9.10-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
    - Add debian/patches/01pkgconfig.patch.
    - Add debian/patches/02awk.patch.
    - Add debian/patches/03texi.patch.
  * debian/patches/01pkgconfig.patch: Replace @PTHREAD_CFLAGS@ with -pthread
    (closes: #712140).
  * Remove doc/example/src/money.1.c.debdiff.
  * Revert changes to doc/stamp-vti.
  * Revert changes to doc/version.texi.
  * debian/rules:
    - Recognize DEB_BUILD_OPTIONS=noopt (closes: #690890).
    - Run testsuite after build (closes: #690834).
  * debian/control: Add Vcs-Browser and Vcs-Git fields.

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Fri, 21 Jun 2013 11:23:31 +0200

check (0.9.10-2) unstable; urgency=low

  * Make pkg-config return the correct flags for static liking even
    when called without --static (closes: #711599)
  * Make check explicitely depend on mawk, unfortunately mawk and gawk
    are somewhat incompatible (see: #691684). This is also a partial 
    solution to #711566.
  * Removed a comment from /usr/include/check_stdint.h that changed with 
    the compiler used for building, breaking multi-arch (closes: #711566)

 -- Robert Lemmen <robertle@semistable.com>  Mon, 10 Jun 2013 15:11:21 +0100

check (0.9.10-1) unstable; urgency=low

  * Add Thomas Bechtold to uploades, he also did the following changes:
  * New upstream release (closes: #709969)
  * Convert to Multi-Arch: same (thanks to Colin Watson) (closes: #693221).
  * Remove obsolete debian/check.files (since we no longer use
    dh_movefiles), and remove a related hack in debian/rules (thanks to Colin
    Watson).
  * debian/control:
    - Bump Standards-Version to 3.9.4.
    - Remove Build-Conflicts with textinfo.

 -- Robert Lemmen <robertle@semistable.com>  Fri, 07 Jun 2013 11:52:15 +0100

check (0.9.8-2) unstable; urgency=low

  * Revert stupid change to check.m4 (closes: #528047, #581354)

 -- Robert Lemmen <robertle@semistable.com>  Thu, 31 May 2012 19:05:16 +0100

check (0.9.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * -lcheck_pic provides instead of -lcheck by pkg-config.
    (Closes: #605207)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 26 Dec 2011 19:58:15 +0900

check (0.9.8-1) unstable; urgency=low

  * New upstream release (closes: #547736)
  * Bumped Standards-Version and related fixes

 -- Robert Lemmen <robertle@semistable.com>  Mon, 18 Jan 2010 10:30:16 +0000

check (0.9.6-2) unstable; urgency=low

  * Fixed strdup implicit conversion (closes: #519597)

 -- Robert Lemmen <robertle@semistable.com>  Wed, 18 Mar 2009 14:13:34 +0000

check (0.9.6-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Thu, 12 Mar 2009 18:43:54 +0000

check (0.9.5-4) unstable; urgency=low

  * Added patch by Roland Stigge (closes: #468309)
  * Bumped standards version
  * Added Homepage field

 -- Robert Lemmen <robertle@semistable.com>  Sun, 15 Jun 2008 19:04:43 +0100

check (0.9.5-3) unstable; urgency=low

  * Build-Conflicts with texinfo (closes: #44637)
  * New watch file (closes: #449742)

 -- Robert Lemmen <robertle@semistable.com>  Fri,  7 Dec 2007 12:52:06 +0100

check (0.9.5-2) unstable; urgency=low

  * Fixes clean target in debian/rules
  * Fixes info file (closes: #440739, #440798)

 -- Robert Lemmen <robertle@semistable.com>  Tue,  4 Sep 2007 15:00:48 +0200

check (0.9.5-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Tue, 28 Aug 2007 12:14:42 +0200

check (0.9.4-4) unstable; urgency=low

  * use dh_installinfo (closes: #410781)

 -- Robert Lemmen <robertle@semistable.com>  Tue, 10 Apr 2007 23:16:43 +0200

check (0.9.4-3) unstable; urgency=low

  * Fixed a bug that breaks all loop tests that use "i" as a variable name
    (closes: #404118)

 -- Robert Lemmen <robertle@semistable.com>  Thu, 21 Dec 2006 21:03:44 +0100

check (0.9.4-2) unstable; urgency=low

  * Fixed check.m4, thanks josh! (closes: #395466, #395467)
  * Added binary-indep target (closes: #395677) 

 -- Robert Lemmen <robertle@semistable.com>  Mon, 30 Oct 2006 11:19:36 +0100

check (0.9.4-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Sun, 15 Oct 2006 14:21:41 +0200

check (0.9.3-2) unstable; urgency=low



=== debian/control ===
Source: check
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Robert Lemmen <robertle@semistable.com>
Uploaders: Thomas Bechtold <thomasbechtold@jpberlin.de>
Build-Depends: debhelper (>= 8.0), mawk, texinfo, dh-autoreconf, automake1.11, pkg-config
Build-Conflicts: gawk
Standards-Version: 3.9.4
Homepage: http://check.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/check.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/check.git;a=summary

Package: check
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, mawk
Description: unit test framework for C
 Check features a simple interface for defining unit tests, putting 
 little in the way of the developer. Tests are run in a separate 
 address space, so Check can catch both assertion failures and code 
 errors that cause segmentation faults or other signals. The output 
 from unit tests can be used within source code editors and IDEs.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DESTDIR=$(shell pwd)/debian/check

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export AUTOMAKE = automake-1.11
export ACLOCAL = aclocal-1.11

configure-pre-stamp:
	dh_testdir
	dh_autoreconf
	touch $@

configure-stamp: configure-pre-stamp
	dh_testdir
	rm -rf build
	mkdir -p build
	cd build && ../configure --prefix=/usr \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--infodir=/usr/share/info --enable-plain-docdir \
		$(shell dpkg-buildflags --export=cmdline)
	touch $@
	touch configure-stamp

configure-stamp-pic: configure-pre-stamp
	dh_testdir
	rm -rf build-pic
	mkdir -p build-pic
	cd build-pic && ../configure --prefix=/usr \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--infodir=/usr/share/info \
		--enable-plain-docdir \
		$(shell DEB_CFLAGS_MAINT_APPEND='-fPIC' dpkg-buildflags --export=cmdline)
	touch $@

build: build-pic configure-stamp build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) -C build
	touch build-stamp

build-pic: build-stamp-pic
build-stamp-pic: configure-stamp-pic
	#remove check.info so it will be regenerated
	rm -f build-pic/doc/check.info
	dh_testdir
	$(MAKE) -C build-pic
	cp build-pic/src/.libs/libcheck.a build-pic/src/libcheck_pic.a
	#run the testsuite
	dh_auto_test
	#remove dynamic content for Multi-Arch:same (see #718200)
	sed -i -e "1d" build-pic/doc/check.info
	touch build-stamp-pic

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp build-stamp-pic configure-stamp-pic configure-stamp-pic
	rm -rf build build-pic
	dh_autoreconf_clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs

	$(MAKE) -C build DESTDIR=$(DESTDIR) install
	# fix the installation
	rm -f debian/check/usr/share/doc/check/COPYING*

install-pic: build-pic
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	mkdir -p debian/check/usr/lib/$(DEB_HOST_MULTIARCH)
	cp build-pic/src/libcheck_pic.a debian/check/usr/lib/$(DEB_HOST_MULTIARCH)/

binary-arch: install-pic install
	dh_testdir
	dh_testroot
	dh_installdocs -XTODO
	dh_installinfo build-pic/doc/check.info
	dh_installexamples
	dh_installchangelogs ChangeLog
	dh_compress -XMakefile
	# fix the setup
	sed -i '/\/\* generated using gnu compiler gcc.*/d' debian/check/usr/include/check_stdint.h
	rm -f debian/check/usr/share/doc/check/ChangeLog.gz
	rm -f debian/check/usr/lib/$(DEB_HOST_MULTIARCH)/libcheck.so.*
	rm -f debian/check/usr/lib/$(DEB_HOST_MULTIARCH)/libcheck.so
	rm -f debian/check/usr/lib/$(DEB_HOST_MULTIARCH)/libcheck.la
	rm -f debian/check/usr/share/info/dir.gz
	rm -rf debian/check/usr/share/doc/check/example
	dh_link
	dh_strip
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:
	# nothing to do

build-arch: build
build-indep: build

binary: binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## check 0.10.0

=== doc/example/CMakeLists.txt ===
project(money C)

cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

###############################################################################
# Set build features
set(CMAKE_BUILD_TYPE Debug)

###############################################################################
include(CheckCSourceCompiles)
include(CheckCSourceRuns)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckLibraryExists)
include(CheckSymbolExists)
include(CheckTypeSize)

###############################################################################
# Check headers
set(INCLUDES "")
macro(ck_check_include_file header var)
  check_include_files("${INCLUDES};${header}" ${var})
  if(${var})
    set(INCLUDES ${INCLUDES} ${header})
  endif(${var})
endmacro(ck_check_include_file)

ck_check_include_file("stdlib.h" HAVE_STDLIB_H)

###############################################################################
# Check functions
# (Nothing to check for the money example)

###############################################################################
# Check defines
# (Nothing to check for the money example)

###############################################################################
# Check struct members
# (Nothing to check for the money example)

###############################################################################
# Check for integer types
# (The following are used in check.h. Regardless if they are used in
# the project, they will need to be checked in order to use Check).
check_type_size(intmax_t INTMAX_T)
check_type_size(uintmax_t UINTMAX_T)

check_type_size(pid_t PID_T)
if(NOT HAVE_PID_T)
  if(WIN32)
    set(pid_t "int")
  else(WIN32)
    MESSAGE(FATAL_ERROR "pid_t doesn't exist on this platform?")
  endif(WIN32)
endif(NOT HAVE_PID_T)

###############################################################################
# Check libraries

###############################################################################
# Generate "config.h" from "cmake/config.h.cmake"
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/config.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/config.h)
include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR})
add_definitions(-DHAVE_CONFIG_H)
set(CONFIG_HEADER ${CMAKE_CURRENT_BINARY_DIR}/config.h)

###############################################################################
# Subdirectories
add_subdirectory(src)
add_subdirectory(tests)

###############################################################################
# Unit tests
enable_testing()
add_test(NAME check_money COMMAND check_money)

=== doc/example/tests/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../src)

# If pkg-config is not installed on the system, then the
# CHECK_INSTALL_DIR variable must be set to the install
# location of Check. For example, on Windows, this may
# be: C:/Program Files/check
# set(CHECK_INSTALL_DIR "C:/Program Files/check")

find_package(Check REQUIRED)
include_directories(${CHECK_INCLUDE_DIRS})

set(TEST_SOURCES
  check_money.c
)

add_executable(check_money ${TEST_SOURCES})
target_link_libraries(check_money money ${CHECK_LIBRARIES})

=== debian/changelog ===
check (0.10.0-3build2) artful; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 02 Jun 2017 22:30:22 +0000

check (0.10.0-3build1) yakkety; urgency=medium

  * No-change rebuild to pick up pie defaults.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 Apr 2016 19:02:20 +0200

check (0.10.0-3) unstable; urgency=medium

  * Team upload.
  * Add PTHREAD_CFLAGS to the pkg-config file to hint the linker to use lpthread
    (Closes: #799991)
  * Added support for DEB_BUILD_OPTIONS=nocheck.

 -- Tobias Frost <tobi@debian.org>  Fri, 25 Sep 2015 18:05:46 +0200

check (0.10.0-2) unstable; urgency=medium

  * Team upload.
  * f/rules Fixing up sed regular expression to remove arch dependent line in
    header (Closes: #796304)
  * Depdend on libsubunit-dev (Closes: #796494)

 -- Tobias Frost <tobi@debian.org>  Sat, 22 Aug 2015 18:08:47 +0200

check (0.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #745987)
  * Update d/copyright, reformat it to the machine readable format.
  * Remove patch 04setitimer_hurd.patch from d/patches/series, applied upstream.
  * Refresh patch 03texi.patch
  * d/clean: remove some files to be able to build twice in a row
  * Bumping d/compat to level 9 (and therfore B-D on debhelper >=9)
  * Rewriting d/rules from scratch:
    - Short debhelper format
    - Using dh_autoreconf
    - configure: Enable subunit (needs B-D on libsubunit-dev) also patch the
      pkg-config file to use the subunit linking flags (Closes: #646093)
    - configure: Remove unknown option enable-plain-docdir
    - configure: Don't build and deleted shared libraries, just don't build it.
  * B-D on pkg-config
  * Delete leftover file d/q
  * Bump S-V to 3.9.6, no changes needed
  * Do not embedd timestamp in check.info (Closes: #728784)
  * Fix "FTCBFS: uses wrong compiler" with the solution from the BTS. (Closes:
    #788449)

 -- Tobias Frost <tobi@debian.org>  Thu, 20 Aug 2015 15:36:47 +0200

=== debian/control ===
Source: check
Section: devel
Priority: optional
Maintainer: Robert Lemmen <robertle@semistable.com>
Build-Depends: debhelper (>= 9), mawk, texinfo, dh-autoreconf, pkg-config, libsubunit-dev
Build-Conflicts: gawk
Standards-Version: 3.9.6
Homepage: http://check.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/check.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/check.git;a=summary

Package: check
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, mawk, libsubunit-dev
Description: unit test framework for C
 Check features a simple interface for defining unit tests, putting
 little in the way of the developer. Tests are run in a separate
 address space, so Check can catch both assertion failures and code
 errors that cause segmentation faults or other signals. The output
 from unit tests can be used within source code editors and IDEs.

## check 0.12.0

=== debian/changelog ===
check (0.12.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #858823)
  * Update debian/watch, the project has moved to GitHub.
  * Remove 05no-timestamp-in-check-info.patch, upstream will apply filterdiff
    if present.
  * Fix a compiler error due to comparing an signed int with a size_t.
  * Remove src/check.h, it prevents out-of-tree builds from working correctly.
  * Bump debian/compat and Standards-Version.
  * Update README.Debian to get it past the spell checker.
  * Add Rules-Requires-Root: no.

 -- Guus Sliepen <guus@debian.org>  Mon, 03 Dec 2018 18:09:18 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Robert Lemmen <robertle@semistable.com>
-Build-Depends: debhelper (>= 9), mawk, texinfo, dh-autoreconf, pkg-config, libsubunit-dev
+Build-Depends: debhelper (>= 11), mawk, texinfo, pkg-config, libsubunit-dev, patchutils
 Build-Conflicts: gawk
-Standards-Version: 3.9.6
-Homepage: http://check.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/collab-maint/check.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/check.git;a=summary
+Standards-Version: 4.2.1
+Homepage: https://libcheck.github.io/check/
+Rules-Requires-Root: no
 
 Package: check
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=autoconf --with autoreconf

override_dh_auto_clean:
	dh_auto_clean --builddirectory build-standard
	dh_auto_clean --builddirectory build-pic
	rm -f src/check.h

override_dh_auto_configure:
	dh_auto_configure --builddirectory build-standard -- --prefix=/usr \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--host=$(DEB_HOST_GNU_TYPE) \
		--infodir=/usr/share/info --disable-shared --enable-subunit
	
	CFLAGS="-fPIC $(CFLAGS)" dh_auto_configure --builddirectory build-pic
		-- --prefix=/usr --host=$(DEB_HOST_GNU_TYPE) \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--infodir=/usr/share/info --disable-shared --enable-subunit

override_dh_auto_build:
	dh_auto_build --builddirectory build-standard
	dh_auto_build --builddirectory build-pic

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	dh_auto_test --builddirectory build-standard --max-parallel=1 -- ARGS="--verbose"
	dh_auto_test --builddirectory build-pic --max-parallel=1 -- ARGS="--verbose"
endif

override_dh_auto_install:
	dh_auto_install --builddirectory build-standard
	
	# fix the installation / setup
	rm -f debian/check/usr/share/doc/check/COPYING*
	sed -i '/\/\* generated using gnu compiler .*/d' debian/check/usr/include/check_stdint.h
	rm -f debian/check/usr/share/doc/check/ChangeLog
	rm -f debian/check/usr/lib/$(DEB_HOST_MULTIARCH)/libcheck.la
	rm -f debian/check/usr/share/info/dir.gz
	rm -rf debian/check/usr/share/doc/check/example

	# install the pic library
	install build-pic/src/.libs/libcheck.a debian/check/usr/lib/$(DEB_HOST_MULTIARCH)/libcheck_pic.a

=== debian/watch ===
version=3
https://github.com/libcheck/check/releases .*/check-(\d\S*)\.tar.gz
